1

A cheap VPS is a lot more cost-effective that running a bridge on Amazon's AWS.

This implies that the transport mechanism has to be built on the VPS, and added to the bridge configuration. But which secure transports (that is, not (obfs1/obfs2/obfs3) can be built on a RHEL6/RHEL7 system?

I long for the days when the pluggable transports were written in plain C. Now they seems to all be in some specific version of a scripting language or in some esoteric language that is unsupported by Red Hat.

Any advice on running a secure pluggable transport on RHEL6/RHEL7?

1

This implies that the transport mechanism has to be built on the VPS, and added to the bridge configuration. But which secure transports (that is, not (obfs1/obfs2/obfs3) can be built on a RHEL6/RHEL7 system?

It does? Building packages and or binaries on another system and copying them over is always an option.

AFAIK, both of the two authenticated transports (ScrambleSuit and obfs4) work with minimal effort, though I haven't checked in a while.

I long for the days when the pluggable transports were written in plain C. Now they seems to all be in some specific version of a scripting language or in some esoteric language that is unsupported by Red Hat.

Ok. Long for it all you want, but various "scripting language"s and "esoteric language"s are used because they provide for rapid prototyping and memory safety, and this is unlikely to change unless other people start migrating away from the options currently in use.

That said:

I don't have the Centos VM I used to test things the last time this sort of issue came up, but if it doesn't work, I could set one up to fix things, assuming the bug report is clear (though the last time this came up, the bug report was invalid).

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.